RccConstants (Apache ZooKeeper - Jute 3.7.0 API)
Date: 2021-03-17

org.apache.jute.compiler.generated

## Interface RccConstants

- All Known Implementing Classes:
    Rcc, RccTokenManager

      public interface RccConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOOLEAN_TKN` RegularExpression Id.
    `static int` | `BUFFER_TKN` RegularExpression Id.
    `static int` | `BYTE_TKN` RegularExpression Id.
    `static int` | `COMMA_TKN` RegularExpression Id.
    `static int` | `CSTRING_TKN` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `DOT_TKN` RegularExpression Id.
    `static int` | `DOUBLE_TKN` RegularExpression Id.
    `static int` | `EOF` End of File.
    `static int` | `FLOAT_TKN` RegularExpression Id.
    `static int` | `GT_TKN` RegularExpression Id.
    `static int` | `IDENT_TKN` RegularExpression Id.
    `static int` | `INCLUDE_TKN` RegularExpression Id.
    `static int` | `INT_TKN` RegularExpression Id.
    `static int` | `LBRACE_TKN` RegularExpression Id.
    `static int` | `LONG_TKN` RegularExpression Id.
    `static int` | `LT_TKN` RegularExpression Id.
    `static int` | `MAP_TKN` RegularExpression Id.
    `static int` | `MODULE_TKN` RegularExpression Id.
    `static int` | `RBRACE_TKN` RegularExpression Id.
    `static int` | `RECORD_TKN` RegularExpression Id.
    `static int` | `SEMICOLON_TKN` RegularExpression Id.
    `static String[]` | `tokenImage` Literal token values.
    `static int` | `USTRING_TKN` RegularExpression Id.
    `static int` | `VECTOR_TKN` RegularExpression Id.
    `static int` | `WithinMultiLineComment` Lexical state.
    `static int` | `WithinOneLineComment` Lexical state.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### MODULE_TKN

          static final int MODULE_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RECORD_TKN

          static final int RECORD_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INCLUDE_TKN

          static final int INCLUDE_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BYTE_TKN

          static final int BYTE_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BOOLEAN_TKN

          static final int BOOLEAN_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INT_TKN

          static final int INT_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LONG_TKN

          static final int LONG_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOAT_TKN

          static final int FLOAT_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOUBLE_TKN

          static final int DOUBLE_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### USTRING_TKN

          static final int USTRING_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BUFFER_TKN

          static final int BUFFER_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### VECTOR_TKN

          static final int VECTOR_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MAP_TKN

          static final int MAP_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LBRACE_TKN

          static final int LBRACE_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RBRACE_TKN

          static final int RBRACE_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LT_TKN

          static final int LT_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GT_TKN

          static final int GT_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SEMICOLON_TKN

          static final int SEMICOLON_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COMMA_TKN

          static final int COMMA_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOT_TKN

          static final int DOT_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CSTRING_TKN

          static final int CSTRING_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IDENT_TKN

          static final int IDENT_TKN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### WithinOneLineComment

          static final int WithinOneLineComment

      Lexical state.
      See Also:
        Constant Field Values

    - #### WithinMultiLineComment

          static final int WithinMultiLineComment

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final String[] tokenImage

      Literal token values.

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.